
# Importing Libraries
import serial
import time
from tkinter import *

window = Tk()

port = 'COM7' # setting up the port - will be specific to your machine
ser = serial.Serial(port, baudrate=115200)
brightness = DoubleVar() # variable that the slider will use to keep track of value

def sendValue(value,code):
    ser.write(code.encode()) # sends the code to tell the microcontroller what to do with the value, encode is so it can be read by microcontroller
    print(code) # prints to console, for debugging purposes
    time.sleep(1) # delay because microcontroller wasn't receiving all the messages, and I thought this might help, not sure it does
    ser.write(value.encode())  # writes the inputted value to the Serial Monitor
    print(value) # printing the value in the Terminal

def sendSlides():  # user selects send or adjusts slider
    value = str(brightness.get());
    sendValue(value,'a')

def sendTwo():  # user selects 2
    value = '2';
    sendValue(value,'b')

def sendThree():    # user selects 3
    value = '3';
    sendValue(value,'b')

def sendFour(): # user selects 4
    value = '4';
    sendValue(value,'b')

def sendFive(): # user selects 5
    value = '5';
    sendValue(value,'b')

def main():

    # create and pack the buttons for the window
    # packing the buttons makes them appear and fit in the window
    lightSlider = Scale(window, fg='purple', command=sendSlides, from_=0, to=255, resolution=8, variable=brightness)
    lightSlider.pack()
    setBtn = Button(window, text="apply", fg='orange', command=sendSlides)
    setBtn.pack()
    twoBtn = Button(window, text="2", fg='orange', command=sendTwo)
    twoBtn.pack()
    threeBtn = Button(window, text="3", fg='green', command=sendThree)
    threeBtn.pack()
    fourBtn = Button(window, text="4", fg='blue', command=sendFour)
    fourBtn.pack()
    fiveBtn = Button(window, text="5", fg='purple', command=sendFive)
    fiveBtn.pack()

    window.mainloop()

main()